This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 854574 - lynx - Inconsistency between man page and help
lynx - Inconsistency between man page and help
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: lynx (Show other bugs)
18
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Kamil Dudka
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-09-05 07:05 EDT by Filip Holec
Modified: 2016-04-18 06:21 EDT (History)
2 users (show)

See Also:
Fixed In Version: lynx-2.8.7-11.fc18
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-12-22 04:58:30 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Filip Holec 2012-09-05 07:05:39 EDT
Description of problem:
These options are in man, but not in help:
* -blink
* -color
* -exec
* -fileversions
* -find_leaks
* -locexec
* -nested_tables
* -noexec
* -nosocks
* -session
* -sessionin
* -sessionout
* -syslog=text
* -syslog-urls
* -timeout=N
* -wdebug

In man, option -bibp is the same as the option -bibhost in help (different names)

Version-Release number of selected component (if applicable):
lynx-2.8.7-9.fc18.x86_64

How reproducible:
Always

Steps to Reproduce:
1. Check man page
2. Check --help option
  
Actual results:
Inconsistent man page/help

Expected results:
Consistent man page/help

Additional info:
Comment 1 Kamil Dudka 2012-09-05 07:47:56 EDT
(In reply to comment #0)
> Description of problem:
> These options are in man, but not in help:
> * -blink
> * -color
> * -exec
> * -fileversions
> * -find_leaks
> * -locexec
> * -nested_tables
> * -noexec
> * -nosocks
> * -session
> * -sessionin
> * -sessionout
> * -syslog=text
> * -syslog-urls
> * -timeout=N
> * -wdebug

All the options above are omitted intentionally since lynx --help lists only the options that are compiled in whereas the man page documents everything.  This is expected behavior.

> In man, option -bibp is the same as the option -bibhost in help (different
> names)

Good point.  Only the -bibhost option works despite the documentation mentions only -bibp.  I am not sure which of them is correct.  The problem still exists in the latest upstream version.  We need to contact the upstream maintainer.
Comment 2 Kamil Dudka 2012-09-07 08:07:23 EDT
fixed in lynx-2.8.7-11.fc18
Comment 3 Fedora End Of Life 2013-12-21 10:41:26 EST
This message is a reminder that Fedora 18 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 18. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '18'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 18's end of life.

Thank you for reporting this issue and we are sorry that we may not be 
able to fix it before Fedora 18 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior to Fedora 18's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 4 Kamil Dudka 2013-12-22 04:58:30 EST
lynx-2.8.7-11.fc18 has never been submitted as an update because I did not find the man page fix itself important enough to bother users with update, but it is now fixed in lynx-2.8.8-0.1.dev15.fc19.  Closing NEXTRELEASE...

Note You need to log in before you can comment on or make changes to this bug.